#!/usr/bin/env python3

x, y = 0, 0
dx, dy = 1, 0

def prikaz_krok():
    global x, y, dx, dy
    x += dx
    y += dy

def prikaz_vlevo():
    global dx, dy
    dx, dy = -dy, dx

def prikaz_vpravo():
    global dx, dy
    dx, dy = dy, -dx

prikazy = {
    "krok": prikaz_krok,
    "vlevo": prikaz_vlevo,
    "vpravo": prikaz_vpravo,
}

def proved(prikaz):
    if prikaz in prikazy:
        prikazy[prikaz]()
    else:
        print("Neznámý příkaz!")

while True:
    print(f"Pozice: ({x},{y}), směr: ({dx},{dy})")
    prikaz = input("Příkaz: ")
    proved(prikaz)
